<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="description" content="A front-end template that helps you build fast, modern mobile web apps.">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">
        <title>Rega Dashboard - Prediction</title>

        <link rel="apple-touch-icon" sizes="180x180" href="images/apple-touch-icon.png">
        <link rel="icon" type="image/png" sizes="32x32" href="images/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="images/favicon-16x16.png">
        <link rel="manifest" href="images/site.webmanifest">

        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:regular,bold,italic,thin,light,bolditalic,black,medium&amp;lang=en">
        <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
        <link rel="stylesheet" href="libs/material.cyan-light_blue.min.css">
        <link rel="stylesheet" href="styles/styles.css">

        <link rel="stylesheet" href="libs/leaflet.css" />
        <script src="libs/leaflet.js"></script>
        <script src="libs/papaparse.min.js"></script>
		<script src="javascript/kdTree.js"></script>
        <script src="https://d3js.org/d3.v3.min.js"></script>
        <script src="libs/jquery.js"></script>

        <link rel="stylesheet" href="styles/predictions.css?v=0" />
    </head>
    <body>
        <div class="demo-layout mdl-layout mdl-js-layout mdl-layout--fixed-drawer mdl-layout--fixed-header">
            <header class="demo-header mdl-layout__header mdl-color--grey-100 mdl-color-text--grey-600">
                <div class="mdl-layout__header-row">
                    <span class="mdl-layout-title">Prediction</span>
                    <div class="mdl-layout-spacer"></div>
                </div>
            </header>
            <div class="demo-drawer mdl-layout__drawer mdl-color--blue-grey-900 mdl-color-text--blue-grey-50">
                <nav class="demo-navigation mdl-navigation mdl-color--blue-grey-800">
                    <a class="mdl-navigation__link" href="history.html"><i class="mdl-color-text--blue-grey-400 material-icons" role="presentation">history</i>History</a>
                    <a class="mdl-navigation__link" href="prediction.html"><i class="mdl-color-text--blue-grey-400 material-icons" role="presentation">mediation</i>Prediction</a>
                    <div class="mdl-layout-spacer"></div>
                </nav>
            </div>
            <main class="mdl-layout__content mdl-color--grey-100">
                <!--<div class="mdl-grid demo-content">
                    <div class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
                        <label style="width: 33%" class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkbox-pred">
                            <input type="checkbox" id="checkbox-pred" class="mdl-checkbox__input" checked onchange="togglePrediction(this)">
                            <span class="mdl-checkbox__label">Flight time predictions</span>
                        </label>
                        <label style="width: 33%" class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkbox-heat">
                            <input type="checkbox" id="checkbox-heat" class="mdl-checkbox__input" unchecked onchange="toggleHeat(this)">
                            <span class="mdl-checkbox__label">Heat map</span>
                        </label>
                        <label style="width: 33%" class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkbox-serv">
                            <input type="checkbox" id="checkbox-serv" class="mdl-checkbox__input" unchecked onchange="toggleService(this)">
                            <span class="mdl-checkbox__label">Service regions</span>
                        </label>
                    </div>
                </div>-->
                <div style="margin-top: -24px" class="mdl-grid demo-content">
                    <div style="display: block" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
                        <div id="map"></div>
                    </div>
                </div>
                <div style="margin-top: -22px;" class="mdl-grid demo-content">
                    <div style="height: 62px;" class="mdl-color--white mdl-shadow--2dp mdl-cell mdl-cell--12-col mdl-grid">
                        <div class="coordinate-input-field mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                            <input value="46.6066831197881" class="mdl-textfield__input" type="text" pattern="-?[0-9]*(\.[0-9]+)?" id="latField">
                            <label class="mdl-textfield__label" for="sample4">Latitude</label>
                            <span class="mdl-textfield__error">Input is not a coordinate!</span>
                        </div>
                        <div class="coordinate-input-field mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                            <input value="8.54003917425871" class="mdl-textfield__input" type="text" pattern="-?[0-9]*(\.[0-9]+)?" id="lonField">
                            <label class="mdl-textfield__label" for="sample4">Longitude</label>
                            <span class="mdl-textfield__error">Input is not a coordinate!</span>
                        </div>
                        <div class="coordinate-input-field mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                          <input type="datetime-local" id="date_time" name="date_time" value="2019-07-05T19:30">

                        </div>
                        <button class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent" onclick="onOkClick()">
                            OK
                        </button>
                    </div>
                </div>
            </main>
        </div>
        <script src="libs/material.min.js"></script>
        <script src="javascript/map.js"></script>
    </body>
</html>
